jQuery(document).ready(function() {
	
	var nivel_configurado = document.getElementById('nivel_configurado').value;	
	
	if(nivel_configurado == 3)
		columna = 9;
	else if(nivel_configurado == 2)
		columna = 8;
	else
		columna = 7;
	
	// DataTable Estado de Eventos
	var oEventos  = $('#eventos').dataTable( {
		"sPaginationType": "full_numbers",
		"iDisplayLength": 10,
		"sScrollX": "100%",      
		"sDom": '<"tbl-tools-searchbox"fl<"clear">>,<"tbl_tools"CT<"clear">>,<"table_content"t>,<"widget-bottom"ip<"clear">>',
        
		"oTableTools": {
            "sSwfPath": "../web_tools/swf/copy_cvs_xls_pdf.swf",
			"aButtons": [				
                {
                    "sExtends": "pdf",
                    "sButtonText": "Exportar a PDF",
					"sPdfOrientation": "landscape",
					"sPdfSize": "tabloid",
					"sFileName": "Monitor Web - Eventos.pdf",
					"sTitle": "Monitor Web - Eventos"
                },
				{
                    "sExtends": "xls",
                    "sButtonText": "Exportar a Excel",
					"sPdfOrientation": "landscape",
					"sPdfSize": "legal",
					"sFileName": "Monitor Web - Eventos.xls",
					"sTitle": "Monitor Web - Eventos"
                }
            ]
        },
		"aoColumnDefs": [ {
		  "aTargets": [ columna ],
		  "mData": [ columna ],
		  "mRender": function ( data, type, full ) {			  
			return '<a style="cursor:pointer" onclick="ver_mapa(\''+data+'\');">Ver mapa</a>';
		  }
		},
		{
		  "aTargets": [ columna-1 ],
		  "mData": [ columna-1 ],
		  "mRender": function ( data, type, full ) {			  
			return '<a style="cursor:pointer" onclick="ver_descripcion(\''+data+'\');">Ver Descripción</a>';
		  }
		}
		 ]
	});
 
	$("#filtrarBtn_eventos").click(function()
	{
		var retValue = true;
		
		var nivel_configurado = document.getElementById('nivel_configurado').value;	
		
		if(nivel_configurado == 2)
		{
			if( $('#distritos').val())
			{
				$("#distritos_label" ).html( "Distritos" ).removeClass('error');
				$("#distritos_form").removeClass('has-error');
			}
			else
			{
				$("#distritos_label").html( "Distritos - Campo Obligatorio." ).addClass('error');
				$("#distritos_form").addClass('has-error');
				retValue = false;
			}
		}
		
		if(nivel_configurado == 3)
		{
			if( $('#distritos').val())
			{
				$("#distritos_label" ).html( "Distritos" ).removeClass('error');
				$("#distritos_form").removeClass('has-error');
			}
			else
			{
				$("#distritos_label").html( "Distritos - Campo Obligatorio." ).addClass('error');
				$("#distritos_form").addClass('has-error');
				retValue = false;
			}
			
			if($('#zonas').val())
			{
				$("#zonas_label" ).html( "Zonas" ).removeClass('error');
				$("#zonas_form").removeClass('has-error');
			}
			else
			{
				$("#zonas_label").html( "Zonas - Campo Obligatorio." ).addClass('error');
				$("#zonas_form").addClass('has-error');
				retValue = false;
			}
		}
		
		if(!retValue)
			return false;
			
		var indice = document.getElementById('numero_dispositivo_movil').selectedIndex;
			var numero_dispositivo_movil = document.getElementById('numero_dispositivo_movil').options[indice].value;
			if(numero_dispositivo_movil == '-1')
				numero_dispositivo_movil = 'null';
			else
				numero_dispositivo_movil = "'"+numero_dispositivo_movil+"'";
				
		var indice = document.getElementById('nombre_operador_movil').selectedIndex;
			var nombre_operador_movil = document.getElementById('nombre_operador_movil').options[indice].value;
			if(nombre_operador_movil == '-1')
				nombre_operador_movil = 'null';
			else
				nombre_operador_movil = "'"+nombre_operador_movil+"'";
		
		var indice = document.getElementById('tipo_eventos').selectedIndex;
			var tipo_eventos = document.getElementById('tipo_eventos').options[indice].value;
			if(tipo_eventos == '-1')
				tipo_eventos = 'null';	

		var fecha_hasta = document.getElementById('fecha_hasta_hidden').value;
		
		var fecha_desde = document.getElementById('fecha_desde_hidden').value;	
		
		
		
		if(nivel_configurado == 1)
		{
			var seleccionado = [];
			$('#sucursales option:selected').each(function() {
				seleccionado.push($(this).attr('value'));
			});
			var sucursales = JSON.stringify(seleccionado);
			var distritos = 'null';
			var zonas ='null';		
		}
		else if(nivel_configurado == 2)
		{
			var seleccionado = [];
			$('#distritos option:selected').each(function() {
				seleccionado.push($(this).attr('value'));
			});
			var sucursales = 'null';
			var distritos = JSON.stringify(seleccionado);
			var zonas ='null';		
		}
		else
		{
			var seleccionado = [];
			$('#zonas option:selected').each(function() {
				seleccionado.push($(this).attr('value'));
			});
			var sucursales = 'null';
			var distritos = 'null';
			var zonas =JSON.stringify(seleccionado);	
		}
		
		
		oEventos.fnReloadAjax('Modules/eventos/libreria_general.php?case=3&fecha_desde='+fecha_desde
																		+'&fecha_hasta='+fecha_hasta
																		+'&numero_dispositivo_movil='+numero_dispositivo_movil
																		+'&nombre_operador_movil='+nombre_operador_movil
																		+'&tipo_eventos='+tipo_eventos
																		+'&sucursales='+sucursales
																		+'&distritos='+distritos
																		+'&zonas='+zonas
																		+'&nivel_configurado='+nivel_configurado);
	});
});

function ajaxs()
{
	var xmlhttp=false;
	try 
	{
		xmlhttp = new ActiveXObject('Msxml2.XMLHTTP');
	}
 	catch (e) 
	{
		try 
		{
			xmlhttp = new ActiveXObject('Microsoft.XMLHTTP');
		}
 		catch (E) 
		{
			xmlhttp = false;
		}
	}
	if (!xmlhttp && typeof XMLHttpRequest!='undefined') 
	{
		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}

function distritos()
{
	var $select_distritos = $('#distritos');
	var $select_zonas = $('#zonas');  
	
	var seleccionado = [];
	$('#sucursales option:selected').each(function() {
		seleccionado.push($(this).attr('value'));
	});
	var sucursales = JSON.stringify(seleccionado);		
	
    //request the JSON data and parse into the select element
    $.getJSON('Modules/eventos/libreria_general.php?case=1&sucursales='+sucursales, function(data){
 
      //eliminamos todos los 
      $select_distritos.html('');
	  $select_zonas.html('');
 
      //iteramos sobre cada elemento sucursal del json.
      $.each(data, function(key, val){ 
        $select_distritos.append('<option value="' + val.LocalizacionJerarquicaID + '">' + val.Descripcion + '</option>');
      })
    });
	
	
}

function zonas()
{
	if(!$('#distritos').val())
		return false;
				
	var $select_zonas = $('#zonas'); 
	
	var seleccionado = [];
	$('#distritos option:selected').each(function() {
		seleccionado.push($(this).attr('value'));
	});
	var distritos = JSON.stringify(seleccionado);		
	
    //request the JSON data and parse into the select element
    $.getJSON('Modules/eventos/libreria_general.php?case=2&distritos='+distritos, function(data){
 
      //eliminamos todos los 
      $select_zonas.html('');
 
      //iteramos sobre cada elemento sucursal del json.
      $.each(data, function(key, val){ 
        $select_zonas.append('<option value="' + val.LocalizacionJerarquicaID + '">' + val.Descripcion + '</option>');
      })
    });
}



function ver_mapa(posicion)
{
	$('#ver_mapa').modal('show');
	setTimeout(function(){
	
		pos = posicion.split(";");
		var map_marker = new GMaps({
            div: '#gmap-marker',
            lat: pos[0],
            lng: pos[1],
			width: 800,
			height: 300
        });
        map_marker.addMarker({
            lat: pos[0],
            lng: pos[1],
            click: function(e) {
              alert('You clicked in this marker');
            }
        });			
	},500);
}

function ver_descripcion(p_descripcion)
{
	$('#ver_descripcion').modal('show');
	setTimeout(function(){
		$(".modal-body p").text((p_descripcion.length == 0)?"Evento sin Descripción":p_descripcion);
	},200);
}

function data()
{
	var indice = document.getElementById('numero_dispositivo_movil').selectedIndex;
			var numero_dispositivo_movil = "'"+document.getElementById('numero_dispositivo_movil').options[indice].value+"'";
			if(numero_dispositivo_movil == '-1')
				numero_dispositivo_movil = 'null';
				
		var indice = document.getElementById('nombre_operador_movil').selectedIndex;
			var nombre_operador_movil = "'"+document.getElementById('nombre_operador_movil').options[indice].value+"'";
			if(nombre_operador_movil == '-1')
				nombre_operador_movil = 'null';
		
		var indice = document.getElementById('tipo_eventos').selectedIndex;
			var tipo_eventos = document.getElementById('tipo_eventos').options[indice].value;
			if(tipo_eventos == '-1')
				tipo_eventos = 'null';		
		
		var sucursales = 'null';
		var distritos = 'null';
		var zonas ='null';
		
		var fecha_desde = document.getElementById('fecha_desde').value;	
		var fecha_hasta = document.getElementById('fecha_hasta').value;	

	
	ajax=ajaxs();
	ajax.open('POST', 'Modules/eventos/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=3&fecha_desde='+fecha_desde+'&fecha_hasta='+fecha_hasta
												+'&numero_dispositivo_movil='+numero_dispositivo_movil
												+'&nombre_operador_movil='+nombre_operador_movil
												+'&tipo_eventos='+tipo_eventos
												+'&sucursales='+sucursales
												+'&distritos='+distritos
												+'&zonas='+zonas
												+'&ultimo_nivel=3');
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
		{
			if(ajax.responseText)
			{
				alert('sss');
			}
			else
			{
				alert('sss');
			}
		}
	}
}